
Redmine - Defect #33845

Wrong character encoding in git diffs with UTF-8 Cyrillic letters

2020-08-12 15:01 - Ivan Cenov

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.1.1

Description

Hello,

I use git repositories. The access to them is via Apache server running on Windows 10 machine. Several files contain Cyrillic texts in

comments. These files are in UTF-8 encoding. Redmine shows these files well - the Cyrillic texts are readable. Example:

      puts "\nОбработени #{options[:passedfiles]} файла" 

      puts "Пропуснати #{options[:omittedfiles]} файла" 

 However, these Cyrillic texts are not displayed well in revision diffs. Example:

  puts "\nРћР±СЂР°Р±РѕС‚РµРЅРё #{options[:passedfiles]} С„Р°Р№Р»Р°" 

  puts "РџСЂРѕРїСѓСЃРЅР°С‚Рё #{options[:omittedfiles]} С„Р°Р№Р»Р°" 

 Environment:

Environment:

  Redmine version                4.1.1.stable

  Ruby version                   2.6.5-p114 (2019-10-01) [x64-mingw32]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.8.19

  Git                            2.25.1

  Filesystem                     

Redmine plugins:

  issue_recurring                1.6

  redmine_code_review            1.0.0

  redmine_issue_templates        1.0.4

  redmine_latex_mathjax          0.4.0

  redmine_theme_changer          0.4.0

History

#1 - 2020-08-24 04:39 - Go MAEDA

- File 33845-diff-screenshot.png added

I could not reproduce the issue. The diff displayed correctly.

What value is set for "Attachments and repositories encodings" (Administration > Settings > Files)?
#2 - 2020-08-24 13:26 - Ivan Cenov

Two encodings are set in this order: windows-1251, UTF-8.

#3 - 2020-09-06 06:26 - Go MAEDA

- Status changed from New to Confirmed

Files

33845-diff-screenshot.png 67.1 KB 2020-08-24 Go MAEDA
